<?php

//declare(strict_types=1);

namespace Netzmacher\Xblog\Domain\Model;

/**
 * Class Form
 */
class Form
{

	/**
	 * txXblogElement
	 * 
	 * @internal This is the notation for TYPO3 10.4 but not for TYPO3 8.7-9.5! #v0307
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Netzmacher\Xblog\Domain\Model\Element>
	 */
	protected $txXblogElement = null;

	
	const TABLE_NAME = 'tx_xblog_domain_model_form';

	/**
	 * Returns the txXblogElement
	 * 
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Netzmacher\Xblog\Domain\Model\Element> txXblogElement
	 */
	public function getTxXblogElement()
	{
		return $this->txXblogElement;
	}

	/**
	 * Sets the txXblogElement
	 * 
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Netzmacher\Xblog\Domain\Model\Element> $txXblogElement
	 * @return void
	 */
	public function setTxXblogElement( \TYPO3\CMS\Extbase\Persistence\ObjectStorage $txXblogElement )
	{
		$this->txXblogElement = $txXblogElement;
	}

}
