<?php

//declare(strict_types=1);

namespace Netzmacher\Xblog\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Class Tablelayout
 */
class Tablelayout extends AbstractEntity
{

	const TABLE_NAME = 'tx_xblog_domain_model_tablelayout';

	/**
	 * @var string
	 */
	protected $field = '';

	/**
	 * @var string
	 */
	protected $fieldlocaltable = '';

	/**
	 * @var string
	 */
	protected $label = '';

	/**
	 * @var string
	 */
	protected $order = '';

	/**
	 * @var string
	 */
	protected $table = '';

	/**
	 * Returns the field
	 *
	 * @return string $field
	 */
	public function getField()
	{
		return $this->field;
	}

	/**
	 * Returns the fieldlocaltable
	 *
	 * @return string $fieldlocaltable
	 */
	public function getFieldlocaltable()
	{
		return $this->fieldlocaltable;
	}

	/**
	 * Returns the label
	 *
	 * @return string $label
	 */
	public function getLabel()
	{
		return $this->label;
	}

	/**
	 * Returns the order
	 *
	 * @return string $order
	 */
	public function getOrder()
	{
		return $this->order;
	}

	/**
	 * Returns the table
	 *
	 * @return string $table
	 */
	public function getTable()
	{
		return $this->table;
	}

	/**
	 * Sets the field
	 *
	 * @param string $field
	 * @return void
	 */
	public function setField( $field )
	{
		$this->field = $field;
	}

	/**
	 * Sets the fieldlocaltable
	 *
	 * @param string $fieldlocaltable
	 * @return void
	 */
	public function setFieldlocaltable( $fieldlocaltable )
	{
		$this->fieldlocaltable = $fieldlocaltable;
	}

	/**
	 * Sets the label
	 *
	 * @param string $label
	 * @return void
	 */
	public function setLabel( $label )
	{
		$this->label = $label;
	}

	/**
	 * Sets the order
	 *
	 * @param string $order
	 * @return void
	 */
	public function setOrder( $order )
	{
		$this->order = $order;
	}

	/**
	 * Sets the table
	 *
	 * @param string $table
	 * @return void
	 */
	public function setTable( $table )
	{
		$this->table = $table;
	}

}
