<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * ****************************************************************************
 * Plugin 1: Main
 * **************************************************************************** */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi1'
				, [ \Netzmacher\Xblog\Controller\MainController::class => 'list, listpublish, single, singlepublish, result' ]
				, [ \Netzmacher\Xblog\Controller\MainController::class => 'listpublish, singlepublish, result' ]
				
);

/* * ****************************************************************************
 * Plugin 2: Mini
 * **************************************************************************** */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi2'
				, [ \Netzmacher\Xblog\Controller\MiniController::class => 'list' ]
//				, [ \Netzmacher\Xblog\Controller\MiniController::class => 'list' ]
				
);


/* * ****************************************************************************
 * Plugin 3: Paging
 * **************************************************************************** */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi3'
				, [ \Netzmacher\Xblog\Controller\PagingController::class => 'list' ]
				, [ \Netzmacher\Xblog\Controller\PagingController::class => 'list' ]
				
);

/* * ****************************************************************************
 * Plugin 4: Image
 * **************************************************************************** */

// #i0034, 190327, dwildt, +
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi4'
				, [ \Netzmacher\Xblog\Controller\ImageController::class => 'single' ]
//				, [ \Netzmacher\Xblog\Controller\ImageController::class => 'single' ]
				
);

/* * ****************************************************************************
 * Plugin 5: Media
 * **************************************************************************** */

// #i0035, 190327, dwildt, +
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi5'
				, [ \Netzmacher\Xblog\Controller\MediaController::class => 'single' ]
//				, [ \Netzmacher\Xblog\Controller\MediaController::class => 'single' ]
				
);

/* * ****************************************************************************
 * Plugin 6: Datesheet
 * **************************************************************************** */

// #i0036, 190327, dwildt, +
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi6'
				, [ \Netzmacher\Xblog\Controller\DateshettController::class => 'single' ]
//				, [ \Netzmacher\Xblog\Controller\DateshettController::class => 'single' ]
				
);

/* * ****************************************************************************
 * Plugin 7: Map
 * **************************************************************************** */

// #i0037, 190327, dwildt, +
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi7'
				, [ \Netzmacher\Xblog\Controller\MapController::class => 'single' ]
//				, [ \Netzmacher\Xblog\Controller\MapController::class => 'single' ]
				
);

/* * ****************************************************************************
 * Plugin 8: Search
 * **************************************************************************** */

// #i0038, 190327, dwildt, +
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi8'
				, [ \Netzmacher\Xblog\Controller\SearchController::class => 'list, searchform' ]
				, [ \Netzmacher\Xblog\Controller\SearchController::class => 'list, searchform' ]
				
);

/* * ****************************************************************************
 * Plugin 9: Cat
 * **************************************************************************** */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi9'
				, [ \Netzmacher\Xblog\Controller\CatController::class => 'single' ]
//				, [ \Netzmacher\Xblog\Controller\CatController::class => 'single' ]
				
);

/* * ****************************************************************************
 * Plugin 10: Relation
 * **************************************************************************** */

//\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
//				'Netzmacher.Xblog'
//				, 'Pi10'
//				, [ \Netzmacher\Xblog\Controller\RelationController::class => 'list' ]
//				, [ \Netzmacher\Xblog\Controller\RelationController::class => 'list' ]
//				
//);

/* * ****************************************************************************
 * Plugin 11: Slider
 * **************************************************************************** */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi11'
				, [ \Netzmacher\Xblog\Controller\SliderController::class => 'list, slider' ]
//				, [ \Netzmacher\Xblog\Controller\SliderController::class => 'list, slider' ]
				
);

/* * ****************************************************************************
 * Plugin 12: RSS
 * **************************************************************************** */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi12'
				, [ \Netzmacher\Xblog\Controller\RSSController::class => 'feed' ]
//				, [ \Netzmacher\Xblog\Controller\RSSController::class => 'feed' ]
				
);

/* * ****************************************************************************
 * Plugin 13: Form
 * **************************************************************************** */

// #i0115, 191116, dwildt, +
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi13'
				, [ \Netzmacher\Xblog\Controller\FormController::class => 'list' ]
				, [ \Netzmacher\Xblog\Controller\FormController::class => 'list' ]	
);


/* * ****************************************************************************
 * Plugin 14: Teaser
 * **************************************************************************** */

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
				'Netzmacher.Xblog'
				, 'Pi14'
				, [ \Netzmacher\Xblog\Controller\TeaserController::class => 'list' ]
//				, [ \Netzmacher\Xblog\Controller\TeaserController::class => 'list' ]	
);

/* * ****************************************************************************
 * Plugin 15: Main uncached
 * **************************************************************************** */

//\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
//				'Netzmacher.Xblog'
//				, 'Pi15'
//				, [ \Netzmacher\Xblog\Controller\MainUncachedController::class => 'list, single, result' ]
//				, [ \Netzmacher\Xblog\Controller\MainUncachedController::class => 'list, single, result' ]
//);