<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * ****************************************************************************
 * Plugin 1: Main
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi1'
				, 'LLL:EXT:xblog/Resources/Private/Language/Main.xlf:tt_content.Main'
				, 'EXT:xblog/Resources/Public/Icons/xBlogMain.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi1' ] = 'select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi1' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 2: Mini
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi2'
				, 'LLL:EXT:xblog/Resources/Private/Language/Mini.xlf:tt_content.Mini'
				, 'EXT:xblog/Resources/Public/Icons/xBlogMini.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi2' ] = 'select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi2' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 3: Paging
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi3'
				, 'LLL:EXT:xblog/Resources/Private/Language/Paging.xlf:tt_content.Paging'
				, 'EXT:xblog/Resources/Public/Icons/xBlogPaging.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi3' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi3' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 4: Image
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi4'
				, 'LLL:EXT:xblog/Resources/Private/Language/Image.xlf:tt_content.Image'
				, 'EXT:xblog/Resources/Public/Icons/xBlogMainImage.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi4' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi4' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 5: Media
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi5'
				, 'LLL:EXT:xblog/Resources/Private/Language/Media.xlf:tt_content.Media'
				, 'EXT:xblog/Resources/Public/Icons/xBlogMainMedia.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi5' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi5' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 6: Datesheet
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi6'
				, 'LLL:EXT:xblog/Resources/Private/Language/Datesheet.xlf:tt_content.Datesheet'
				, 'EXT:xblog/Resources/Public/Icons/xBlogMainDatesheet.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi6' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi6' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 7: Map
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi7'
				, 'LLL:EXT:xblog/Resources/Private/Language/Map.xlf:tt_content.Map'
				, 'EXT:xblog/Resources/Public/Icons/xBlogMainMap.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi7' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi7' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 8: Search
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi8'
				, 'LLL:EXT:xblog/Resources/Private/Language/Search.xlf:tt_content.Search'
				, 'EXT:xblog/Resources/Public/Icons/xBlogSearch.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi8' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi8' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 10: Relation
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi10'
				, 'LLL:EXT:xblog/Resources/Private/Language/Relation.xlf:tt_content.Relation'
				, 'EXT:xblog/Resources/Public/Icons/xBlogRelation.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi10' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi10' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 11: Slider
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi11'
				, 'LLL:EXT:xblog/Resources/Private/Language/Slider.xlf:tt_content.Slider'
				, 'EXT:xblog/Resources/Public/Icons/xBlogSlider.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi11' ] = 'select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi11' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 12: RSS
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi12'
				, 'LLL:EXT:xblog/Resources/Private/Language/RSS.xlf:tt_content.RSS'
				, 'EXT:xblog/Resources/Public/Icons/xBlogRSS.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi12' ] = 'select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi12' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 13: Form
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi13'
				, 'LLL:EXT:xblog/Resources/Private/Language/Form.xlf:tt_content.Form'
				, 'EXT:xblog/Resources/Public/Icons/xBlogMainForm.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi13' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi13' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 14: Teaser
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				'Xblog'
				, 'Pi14'
				, 'LLL:EXT:xblog/Resources/Private/Language/Teaser.xlf:tt_content.Teaser'
				, 'EXT:xblog/Resources/Public/Icons/xBlogTeaser/xBlogTeaser-2ColumnsLeft.svg'
				, 'xBlog'
);
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi14' ] = 'layout,recursive,pages,select_key';
$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi14' ] = 'pi_flexform';


/* * ****************************************************************************
 * Plugin 15: Main uncached
 * **************************************************************************** */

//TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
//				'Xblog'
//				, 'Pi15'
//				, 'LLL:EXT:xblog/Resources/Private/Language/Main.xlf:tt_content.MainUncached'
//				, 'EXT:xblog/Resources/Public/Icons/xBlogMainUncached.svg'
//				, 'xBlog'
//);
//$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ 'xblog_pi15' ] = 'select_key';
//$GLOBALS[ 'TCA' ][ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ 'xblog_pi15' ] = 'pi_flexform';
