plugin {
  tx_xblog {
    templates {
			tables {
				x {
						// empty statement for proper comments only
					paging {
					}
						// default, xblog_pi1
					paging = CASE
					paging {
						default = COA
						default {
								// register:pi3__pi1_table is empty
							10 = TEXT
							10 {
									// if.isTrue.data = register:pi3__pi1_table
								if = 
								if {
										// isTrue.data = register:pi3__pi1_table
									isTrue =
									isTrue {
											// data = register:pi3__pi1_table
										data = register:pi3__pi1_table
									}
									negate = 1
								}
								value = Connected xBlog not available!
								lang {
									de = Verbundener xBlog nicht erreichbar!
									en = Connected xBlog not available!
								}
								noTrimWrap = |<div style="background:red;color:white;padding:0.4rem;text-align:center">|</div>|
							}
							20 = CONTENT
							20 {
									// if.isTrue.data = register:pi3__pi1_table
								if = 
								if {
										// isTrue.data = register:pi3__pi1_table
									isTrue =
									isTrue {
											// data = register:pi3__pi1_table
										data = register:pi3__pi1_table
									}
								}
									// cObjectdata.data = register:pi3__pi1_table
								table = 
								table {
										// data = register:pi3__pi1_table
									cObject = TEXT
									cObject {
										data = register:pi3__pi1_table
									}
								}
									// pidInList.cObject.data = field:pages. recursive.cObject.data = field:recursive
								select =
								select {
									selectFields = count(*) AS xBlogItems
//									selectFields = *, xyz
										// cObject.data = register:pi1__pages
									pidInList = 
									pidInList {
											// data = register:pi1__pages
										cObject = TEXT
										cObject {
											data = register:pi1__pages
										}
									}
										// cObject.data = register:pi1__recursive
									recursive = 
									recursive {
											// data = register:pi1__recursive
										cObject = TEXT
										cObject {
											data = register:pi1__recursive
										}
									}
									join =
									join {
											// join statements: 10: for xBlog. DON'T TOUCH. 90: for any integrator
										cObject = COA
										cObject {
												// join statements for xBlog internals. DON'T TOUCH!
												// 40: filter
											10 = COA
											10 {
													// 30 < plugin.tx_xblog.templates.sql.join.xBlogForm.paging
												30 < plugin.tx_xblog.templates.sql.join.xBlogForm.paging
													// 40 < plugin.tx_xblog.templates.sql.join.filter.paging
												40 < plugin.tx_xblog.templates.sql.join.filter.paging
											}
												// where statements for any integrator
											90 = COA
											90 {
												comment = for any integrator
												10 = TEXT
												10 {
													comment = for any integrator
												}
											}
										}
									}
										// cObject( 10: for xBlog. 90: for any integrator)
									where = 
									where {
											// where statements: 10: for xBlog. DON'T TOUCH. 90: for any integrator
										cObject = COA
										cObject {
												// where statements for xBlog internals. DON'T TOUCH!
												// 20: sword
											10 = COA
											10 {
													// 20 < plugin.tx_xblog.templates.sql.where.sword.paging
												20 < plugin.tx_xblog.templates.sql.where.sword.paging
													// 30 < plugin.tx_xblog.templates.sql.where.xBlogForm.paging
												30 < plugin.tx_xblog.templates.sql.where.xBlogForm.paging
													// 40 < plugin.tx_xblog.templates.sql.where.filter.paging
												40 < plugin.tx_xblog.templates.sql.where.filter.paging
													// 50 < plugin.tx_xblog.templates.sql.where.xBlogTeaser.paging
												50 < plugin.tx_xblog.templates.sql.where.xBlogTeaser.paging
													// 60 < plugin.tx_xblog.templates.sql.where.sys_category.paging
												60 < plugin.tx_xblog.templates.sql.where.sys_category.paging
													// 61 < plugin.tx_xblog.templates.sql.where.image.paging
												61 < plugin.tx_xblog.templates.sql.where.image.paging
													// 62 < plugin.tx_xblog.templates.sql.where.datetime.paging
												62 < plugin.tx_xblog.templates.sql.where.datetime.paging
													// 63 < plugin.tx_xblog.templates.sql.where.topitem.paging
												63 < plugin.tx_xblog.templates.sql.where.topitem.paging
											}
												// where statements for any integrator
											90 = COA
											90 {
												comment = for any integrator
												10 = TEXT
												10 {
													comment = for any integrator
												}
											}
										}
									}
								}
									// field = xBlogItems
								renderObj = TEXT
								renderObj {
									field = xBlogItems
								}
							}
						}
						xblog_pi1 < .default
							// xblog_pi1 < .default
						xblog_pi1 = COA
					}
				}
			}
		}
	}
}