plugin {
	tx_xblog_pi4 {
		settings {
			register {
				flexform {
						// empty statement for proper comments only
					pi4 {
					}
						// image = LOAD_REGISTER
					pi4 = 
					pi4 {
							// xBlogPi4DebugRegister, xBlogPi4DebugSession,xBlogPi4DestXblogUid, xBlogPi4DestXblogPid, xBlogPi4DestCONTENT
						image = LOAD_REGISTER
						image {
								// MUST BE BEFORE xBlogPi4DestXblogPid! cObject.data = flexform: pi_flexform:settings.flexform.pi4.ctrl.plugin.list
							xBlogPi4DestXblogUid < plugin.tx_xblog.lib.valueFromFlexform
							xBlogPi4DestXblogUid {
								data = flexform: pi_flexform:settings.flexform.pi4.ctrl.plugin.list
								ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi4.ctrl.plugin.list
								ifBlank.ifBlank = 
							}
								// MUST BE AFTER xBlogPi4DestXblogUid! RECORDS: data = register:xBlogPi4DestXblogUid
							xBlogPi4DestXblogPid =
							xBlogPi4DestXblogPid {
								cObject = RECORDS
								cObject {
									source {
										data = register:xBlogPi4DestXblogUid
									}
									//dontCheckPid = 1
									tables = tt_content
									conf.tt_content = TEXT
									conf.tt_content {
										field = pid
									}
								}
							}
								// xBlogPi4DestXblogImageField, xBlogPi4DestXblogTmplHtml, xBlogPi4DestXblogSelectPages, xBlogPi4DestXblogSelectRecursive, xBlogPi4DestXblogTable
							xBlogPi4DestCONTENT = 
							xBlogPi4DestCONTENT {
									// xBlogPi4DestXblogImageField, xBlogPi4DestXblogTmplHtml, xBlogPi4DestXblogSelectPages, xBlogPi4DestXblogSelectRecursive, xBlogPi4DestXblogTable
								cObject = CONTENT
								cObject {
									table = tt_content
										// pidInList.cObject.data = register:xBlogPi4DestXblogPid, uidInList.cObject.data = register:xBlogPi4DestXblogUid
									select =
									select {
											// cObject.data = register:xBlogPi4DestXblogPid
										pidInList = 
										pidInList {
												// data = register:xBlogPi4DestXblogPid
											cObject = TEXT
											cObject {
												data = register:xBlogPi4DestXblogPid
											}
										}
											// cObject.data = register:xBlogPi4DestXblogUid
										uidInList = 
										uidInList {
												// data = register:xBlogPi4DestXblogUid
											cObject = TEXT
											cObject {
												data = register:xBlogPi4DestXblogUid
											}
										}
										max = 1
									}
										// xBlogPi4DestXblogImageField, xBlogPi4DestXblogTmplHtml, xBlogPi4DestXblogSelectPages, xBlogPi4DestXblogSelectRecursive, xBlogPi4DestXblogTable
									renderObj = LOAD_REGISTER
									renderObj {
											// data = flexform: pi_flexform:settings.flexform.pi.bridge.imageField
										xBlogPi4DestXblogImageField < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi4DestXblogImageField {
											data = flexform: pi_flexform:settings.flexform.pi.bridge.imageField
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.bridge.imageField
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi4.image.xBlogPi4DestXblogImageField
										}
											// field = pages
										xBlogPi4DestXblogSelectPages =  TEXT
										xBlogPi4DestXblogSelectPages {
											field = pages
										}
											// field = recursive
										xBlogPi4DestXblogSelectRecursive =  TEXT
										xBlogPi4DestXblogSelectRecursive {
											field = recursive
										}
											// data = flexform: pi_flexform:settings.flexform.pi.table.table
										xBlogPi4DestXblogTable < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi4DestXblogTable {
											data = flexform: pi_flexform:settings.flexform.pi.table.table
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.table.table
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi4.image.xBlogPi4DestXblogTable
										}
											// data = flexform: pi_flexform:settings.flexform.pi.table.uid
										xBlogPi4DestXblogTableUid < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi4DestXblogTableUId {
											data = flexform: pi_flexform:settings.flexform.pi.table.uid
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.table.uid
											ifBlank.ifBlank = 
										}
											// data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html>
										xBlogPi4DestXblogTmplHtml < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi4DestXblogTmplHtml {
											data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi4.image.xBlogPi4DestXblogTmplHtml
										}
											// data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout>
										xBlogPi4DestXblogTmplLayout < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi4DestXblogTmplLayout {
											data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi4.image.xBlogPi4DestXblogTmplLayout
										}
										xBlogPi1TmplHtml < .xBlogPi4DestXblogTmplHtml
										xBlogPi1TmplLayout < .xBlogPi4DestXblogTmplLayout
									}
								}
							}
						}
					}
				}
			}
		}
	}
}