plugin {
	tx_xblog_pi5 {
		settings {
			register {
				flexform {
						// empty statement for proper comments only
					pi5 {
					}
						// media = LOAD_REGISTER
					pi5 = 
					pi5 {
							// xBlogPi5DebugRegister, xBlogPi5DebugSession,xBlogPi5DestXblogUid, xBlogPi5DestXblogPid, xBlogPi5DestCONTENT
						media = LOAD_REGISTER
						media {
								// MUST BE BEFORE xBlogPi5DestXblogPid! cObject.data = flexform: pi_flexform:settings.flexform.pi5.ctrl.plugin.list
							xBlogPi5DestXblogUid < plugin.tx_xblog.lib.valueFromFlexform
							xBlogPi5DestXblogUid {
								data = flexform: pi_flexform:settings.flexform.pi5.ctrl.plugin.list
								ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi5.ctrl.plugin.list
								ifBlank.ifBlank {
									cObject = TEXT
									cObject {
										field = uid
									}
								}
							}
								// MUST BE AFTER xBlogPi5DestXblogUid! RECORDS: data = register:xBlogPi5DestXblogUid
							xBlogPi5DestXblogPid =
							xBlogPi5DestXblogPid {
								cObject = RECORDS
								cObject {
									source {
										data = register:xBlogPi5DestXblogUid
									}
									//dontCheckPid = 1
									tables = tt_content
									conf.tt_content = TEXT
									conf.tt_content {
										field = pid
									}
								}
							}
								// xBlogPi5DestXblogMediaField, xBlogPi5DestXblogTmplHtml, xBlogPi5DestXblogSelectPages, xBlogPi5DestXblogSelectRecursive, xBlogPi5DestXblogTable
							xBlogPi5DestCONTENT = 
							xBlogPi5DestCONTENT {
									// xBlogPi5DestXblogMediaField, xBlogPi5DestXblogTmplHtml, xBlogPi5DestXblogSelectPages, xBlogPi5DestXblogSelectRecursive, xBlogPi5DestXblogTable
								cObject = CONTENT
								cObject {
									table = tt_content
										// pidInList.cObject.data = register:xBlogPi5DestXblogPid, uidInList.cObject.data = register:xBlogPi5DestXblogUid
									select =
									select {
											// cObject.data = register:xBlogPi5DestXblogPid
										pidInList = 
										pidInList {
												// data = register:xBlogPi5DestXblogPid
											cObject = TEXT
											cObject {
												data = register:xBlogPi5DestXblogPid
											}
										}
											// cObject.data = register:xBlogPi5DestXblogUid
										uidInList = 
										uidInList {
												// data = register:xBlogPi5DestXblogUid
											cObject = TEXT
											cObject {
												data = register:xBlogPi5DestXblogUid
											}
										}
										max = 1
									}
										// xBlogPi5DestXblogMediaField, xBlogPi5DestXblogTmplHtml, xBlogPi5DestXblogSelectPages, xBlogPi5DestXblogSelectRecursive, xBlogPi5DestXblogTable
									renderObj = LOAD_REGISTER
									renderObj {
											// data = flexform: pi_flexform:settings.flexform.pi.bridge.mediaField
										xBlogPi5DestXblogMediaField < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi5DestXblogMediaField {
											data = flexform: pi_flexform:settings.flexform.pi.bridge.mediaField
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.bridge.mediaField
											ifBlank.ifBlank = 
										}
											// field = pages
										xBlogPi5DestXblogSelectPages =  TEXT
										xBlogPi5DestXblogSelectPages {
											field = pages
										}
											// field = recursive
										xBlogPi5DestXblogSelectRecursive =  TEXT
										xBlogPi5DestXblogSelectRecursive {
											field = recursive
										}
											// data = flexform: pi_flexform:settings.flexform.pi.table.table
										xBlogPi5DestXblogTable < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi5DestXblogTable {
											data = flexform: pi_flexform:settings.flexform.pi.table.table
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.table.table
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi5.media.xBlogPi5DestXblogTable
										}
											// data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html>
										xBlogPi5DestXblogTmplHtml < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi5DestXblogTmplHtml {
											data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi5.media.xBlogPi5DestXblogTmplHtml
										}
											// data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout>
										xBlogPi5DestXblogTmplLayout < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi5DestXblogTmplLayout {
											data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi5.image.xBlogPi5DestXblogTmplLayout
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
}