plugin {
  tx_xblog_pi2 {
		settings {
			CONTENT {
				list {
					20 {
						xBlogMainList {
							cObject {
									// empty statement for proper comments only
								renderObj {
								}
									// dataProcessing
								renderObj = FLUIDTEMPLATE
								renderObj {
										// images, xBlogFieldCategory, xBlogFieldGroup, xBlogFieldLocation, xBlogFieldOrganiser
									dataProcessing =
									dataProcessing {
											// images: xBlogPiImageField
										10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
										10 {
												// For the developer: elements of references doesn't support cObject.data=flexform:... !
											references =
											references {
													// cObjectdata.data = register:xBlogPiTable
												table = 
												table {
														// data = register:xBlogPiTable
													cObject = TEXT
													cObject {
														data = register:xBlogPiTable
													}
												}
													// cObject.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_imageField
												fieldName = 
												fieldName {
														// data = register:pi2__pi_flexform__settings_flexform_pi_bridge_imageField
													cObject = TEXT
													cObject {
														data = register:pi2__pi_flexform__settings_flexform_pi_bridge_imageField
													}
												}
											}
											as = images
										}
											// xBlogFieldCategory: pi2__pi_flexform__settings_flexform_pi_bridge_category
										30 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
										30 {
												// if.isTrue.field.cObject.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_category
											if =
											if.isTrue.field {
													// data = register:pi2__pi_flexform__settings_flexform_pi_bridge_category
												cObject = TEXT
												cObject {
													data = register:pi2__pi_flexform__settings_flexform_pi_bridge_category
												}
											}

												// data = register:xBlogPiTable
											table = TEXT
											table.data = register:xBlogPiTable

												// data = register:pi2__pi_flexform__settings_flexform_pi_bridge_category
											relationfield = TEXT
											relationfield.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_category

												// field = uid
											uid = TEXT
											uid.field = uid

												// field.cObject.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_category
											relationvalue = TEXT
											relationvalue.field {
												cObject = TEXT
												cObject {
													data = register:pi2__pi_flexform__settings_flexform_pi_bridge_category
												}
											}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.andWhere}
											andWhere = TEXT
											andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.andWhere}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.orderBy}
											orderBy = TEXT
											orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.orderBy}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.firstResult}
											firstResult = TEXT
											firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.firstResult}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.maxResults}
											maxResults = TEXT
											maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.maxResults}

												// stdWrap
											as = xBlogFieldCategory
										}
											// xBlogFieldLocation: pi2__pi_flexform__settings_flexform_pi_bridge_location
										32 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
										32 {
												// if.isTrue.field.cObject.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_location
											if =
											if.isTrue.field {
													// data = register:pi2__pi_flexform__settings_flexform_pi_bridge_location
												cObject = TEXT
												cObject {
													data = register:pi2__pi_flexform__settings_flexform_pi_bridge_location
												}
											}

												// data = register:xBlogPiTable
											table = TEXT
											table.data = register:xBlogPiTable

												// data = register:pi2__pi_flexform__settings_flexform_pi_bridge_location
											relationfield = TEXT
											relationfield.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_location

												// field = uid
											uid = TEXT
											uid.field = uid

												// field.cObject.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_location
											relationvalue = TEXT
											relationvalue.field {
												cObject = TEXT
												cObject {
													data = register:pi2__pi_flexform__settings_flexform_pi_bridge_location
												}
											}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.andWhere}
											andWhere = TEXT
											andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.andWhere}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.orderBy}
											orderBy = TEXT
											orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.orderBy}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.firstResult}
											firstResult = TEXT
											firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.firstResult}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.maxResults}
											maxResults = TEXT
											maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.maxResults}

												// stdWrap
											as = xBlogFieldLocation
										}
											// xBlogFieldOrganiser: pi2__pi_flexform__settings_flexform_pi_bridge_organiser
										33 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
										33 {
												// if.isTrue.field.cObject.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_organiser
											if =
											if.isTrue.field {
													// data = register:pi2__pi_flexform__settings_flexform_pi_bridge_organiser
												cObject = TEXT
												cObject {
													data = register:pi2__pi_flexform__settings_flexform_pi_bridge_organiser
												}
											}

												// data = register:xBlogPiTable
											table = TEXT
											table.data = register:xBlogPiTable

												// data = register:pi2__pi_flexform__settings_flexform_pi_bridge_organiser
											relationfield = TEXT
											relationfield.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_organiser

												// field = uid
											uid = TEXT
											uid.field = uid

												// field.cObject.data = register:pi2__pi_flexform__settings_flexform_pi_bridge_organiser
											relationvalue = TEXT
											relationvalue.field {
												cObject = TEXT
												cObject {
													data = register:pi2__pi_flexform__settings_flexform_pi_bridge_organiser
												}
											}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.andWhere}
											andWhere = TEXT
											andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.andWhere}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.orderBy}
											orderBy = TEXT
											orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.orderBy}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.firstResult}
											firstResult = TEXT
											firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.firstResult}

											// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.maxResults}
											maxResults = TEXT
											maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.maxResults}

												// stdWrap
											as = xBlogFieldOrganiser
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
}