plugin {
  tx_xblog_pi2 {
		settings {
			CONTENT {
				list {
					30 {
						xBlogMini {
								// renderObj
							cObject = CONTENT
							cObject {
								renderObj = FLUIDTEMPLATE									
								renderObj {
									templateName = List
										// 10 = EXT:xblog/Resources/Private/View/2ndContent/Layouts/ 20 = {$plugin.tx_xblog_pi2.view.layoutRootPath}
									layoutRootPaths =
									layoutRootPaths {
										10 = EXT:xblog/Resources/Private/View/2ndContent/Layouts/
										20 = {$plugin.tx_xblog_pi2.view.layoutRootPath}
									}
										// 10 = EXT:xblog/Resources/Private/View/2ndContent/Partials/ 20 = {$plugin.tx_xblog_pi2.view.partialRootPath}
									partialRootPaths =
									partialRootPaths {
										10 = EXT:xblog/Resources/Private/View/2ndContent/Partials/
										20 = {$plugin.tx_xblog_pi2.view.partialRootPath}
									}
										// 10 = EXT:xblog/Resources/Private/View/2ndContent/Templates/Mini/ 20 = {$plugin.tx_xblog_pi2.view.templateRootPath}
									templateRootPaths =
									templateRootPaths {
										10 = EXT:xblog/Resources/Private/View/2ndContent/Templates/Mini/
										20 = {$plugin.tx_xblog_pi2.view.templateRootPath}
									}
										// 10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
									dataProcessing =
									dataProcessing {
										10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
										10 {
												// For the developer: elements of references doesn't support cObject.data=flexform:... !
											references =
											references {
													// cObjectdata.data = register:xBlogPiTable
												table = 
												table {
														// data = register:xBlogPiTable
													cObject = TEXT
													cObject {
														data = register:xBlogPiTable
													}
												}
													// cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
												fieldName = 
												fieldName {
														// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
													cObject = TEXT
													cObject {
														data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
													}
												}
											}
											as = images
										}
									}
										// foo, media.lazyLoading
									settings =
									settings {
										foo = pi2.list @kduhfksdhgar
										media.lazyLoading = {$styles.content.image.lazyLoading}
                    publishIconAdd    = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.add}
                    publishIconCopy   = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.copy}
                    publishIconDelete = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.delete}
                    publishIconEdit   = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.edit}
									}
										// settings_flexform_pi1_list_cropsubtitle, xBlogFieldTitle
										// For the developer: elements of variables doesn't support cObject.data=flexform:... !
									variables =
									variables {
											// data = register:xBlogPiDatesheetField
										xBlogPiDatesheetField = TEXT
										xBlogPiDatesheetField {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_datesheetField
										}
											// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
										xBlogPiImageField = TEXT
										xBlogPiImageField {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
										}
											// field = {$plugin.tx_xblog.configuration.typolink.pageField}
										xBlogFieldPage = TEXT
										xBlogFieldPage {
											field = {$plugin.tx_xblog.configuration.typolink.pageField}
										}
											// field = {$plugin.tx_xblog_pi2.configuration.fields.list.short}
										xBlogFieldShort = TEXT
										xBlogFieldShort {
											field = {$plugin.tx_xblog_pi2.configuration.fields.list.short}
											stripHtml = 1
										}
											// field = {$plugin.tx_xblog_pi2.configuration.fields.list.subtitle}
										xBlogFieldSubtitle = TEXT
										xBlogFieldSubtitle {
											field = {$plugin.tx_xblog_pi2.configuration.fields.list.subtitle}
											stripHtml = 1
										}
											// field = {$plugin.tx_xblog_pi2.configuration.fields.list.title}
										xBlogFieldTitle = TEXT
										xBlogFieldTitle {
											field = {$plugin.tx_xblog_pi2.configuration.fields.list.title}
											stripHtml = 1
										}
											// field = {$plugin.tx_xblog.configuration.typolink.typeField}
										xBlogFieldType = TEXT
										xBlogFieldType {
											field = {$plugin.tx_xblog.configuration.typolink.typeField}
										}
											// field = {$plugin.tx_xblog.configuration.typolink.urlField}
										xBlogFieldUrl = TEXT
										xBlogFieldUrl {
											field = {$plugin.tx_xblog.configuration.typolink.urlField}
										}
											// data = register:xBlogPi2Cropshort
										settings_flexform_pi1_list_cropshort = TEXT
										settings_flexform_pi1_list_cropshort {
											data = register:xBlogPi2Cropshort
										}
											// data = register:xBlogPi2Cropsubtitle
										settings_flexform_pi1_list_cropsubtitle = TEXT
										settings_flexform_pi1_list_cropsubtitle {
											data = register:xBlogPi2Cropsubtitle
										}
											// data = register:xBlogPi2Croptitle
										settings_flexform_pi1_list_croptitle = TEXT
										settings_flexform_pi1_list_croptitle {
											data = register:xBlogPi2Croptitle
										}
											// data = register:xBlogPi2DestXblogGrid
										settings_flexform_pi1_tmpl_grid = TEXT
										settings_flexform_pi1_tmpl_grid {
											data = register:xBlogPi2DestXblogGrid
										}
											// data = register:xBlogPi2ImageHeight
										xBlogRegisterImageHeight = TEXT
										xBlogRegisterImageHeight {
											data = register:xBlogPi2ImageHeight
										}
											// data = register:xBlogPi2ImageWidth
										xBlogRegisterImageWidth = TEXT
										xBlogRegisterImageWidth {
											data = register:xBlogPi2ImageWidth
										}
											// data = register:xBlogPi2MarginPosition
										settings_flexform_pi1_tmpl_marginPosition = TEXT
										settings_flexform_pi1_tmpl_marginPosition {
											data = register:xBlogPi2DestXblogMarginPosition
										}
											// data = register:xBlogPi2Type
										xBlogRegisterListType = TEXT
										xBlogRegisterListType {
											data = register:xBlogPi2ListType
										}
											// data = register:xBlogPiTable
										xBlogRegisterTable = TEXT
										xBlogRegisterTable {
											data = register:xBlogPiTable
										}
											// 10: page. 20: target. 30: class. 40: title. 50: additional params
										xBlogTypolinkFluid < plugin.tx_xblog.lib.typolinkFluid
									}
								}
							}
						}
					}
				}
			}
		}
	}
}