<?php

if( !defined( 'TYPO3_MODE' ) )
{
	$prompt = 'Access denied.<br />' . __FILE__ . ' (#' . __LINE__ . ')';
	die( $prompt );
}

/* * ****************************************************************************
 * allowTableOnStandardPages
 * **************************************************************************** */

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_xblog_domain_model_element' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_xblog_domain_model_filter' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_xblog_domain_model_form' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_xblog_domain_model_tablelayout' );


/* * ****************************************************************************
 * Add pagetree icons
 * **************************************************************************** */

// #i0040, 190328, dwildt, +
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

$extIcon = array(
		'identifier' => 'contains-xblog'
		, 'key' => 'xblog' // <- Key must be the part behind contain- of the identifier!
		, 'label' => 'xBlog'
		, 'source' => 'EXT:xblog/ext_icon.svg'
);
$iconRegistry->registerIcon(
				$extIcon[ 'identifier' ]
				, \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class
				, [ 'source' => $extIcon[ 'source' ] ]
);
$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array(
		$extIcon[ 'label' ]
		, $extIcon[ 'key' ]
		, $extIcon[ 'identifier' ]
);
$GLOBALS[ 'TCA' ][ 'pages' ][ 'ctrl' ][ 'typeicon_classes' ][ $extIcon[ 'identifier' ] ] = $extIcon[ 'identifier' ];

$extIcon = array(
		'identifier' => 'contains-xblog-rss'
		, 'key' => 'xblog-rss' // <- Key must be the part behind contain- of the identifier!
		, 'label' => 'xBlog RSS'
		, 'source' => 'EXT:xblog/Resources/Public/Icons/xBlogRSS.svg'
);
$iconRegistry->registerIcon(
				$extIcon[ 'identifier' ]
				, \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class
				, [ 'source' => $extIcon[ 'source' ] ]
);
$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array(
		$extIcon[ 'label' ]
		, $extIcon[ 'key' ]
		, $extIcon[ 'identifier' ]
);
$GLOBALS[ 'TCA' ][ 'pages' ][ 'ctrl' ][ 'typeicon_classes' ][ $extIcon[ 'identifier' ] ] = $extIcon[ 'identifier' ];

$extIcon = array(
		'identifier' => 'contains-xblog-slider'
		, 'key' => 'xblog-slider' // <- Key must be the part behind contain- of the identifier!
		, 'label' => 'xBlog Slider'
		, 'source' => 'EXT:xblog/Resources/Public/Icons/xBlogSlider.svg'
);
$iconRegistry->registerIcon(
				$extIcon[ 'identifier' ]
				, \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class
				, [ 'source' => $extIcon[ 'source' ] ]
);
$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array(
		$extIcon[ 'label' ]
		, $extIcon[ 'key' ]
		, $extIcon[ 'identifier' ]
);
$GLOBALS[ 'TCA' ][ 'pages' ][ 'ctrl' ][ 'typeicon_classes' ][ $extIcon[ 'identifier' ] ] = $extIcon[ 'identifier' ];
