SELECT DISTINCT
    tx_org_news.*
FROM
    `tx_org_news`
INNER JOIN `tx_org_mm_all` `MM_tx_org_newscat_filter` ON
    MM_tx_org_newscat_filter.uid_local = tx_org_news.uid AND MM_tx_org_newscat_filter.table_local = "tx_org_news" AND MM_tx_org_newscat_filter.table_foreign = "tx_org_newscat_filter"
INNER JOIN tx_org_newscat AS tx_org_newscat_filter
ON
    MM_tx_org_newscat_filter.uid_foreign = tx_org_newscat_filter.uid
INNER JOIN tx_org_mm_all AS MM_tx_org_newscat_tablelayout
ON
    MM_tx_org_newscat_tablelayout.uid_local = tx_org_news.uid AND MM_tx_org_newscat_tablelayout.table_local = "tx_org_news" AND MM_tx_org_newscat_tablelayout.table_foreign = "tx_org_newscat_tablelayout"
INNER JOIN tx_org_newscat AS tx_org_newscat_tablelayout
ON
    MM_tx_org_newscat_tablelayout.uid_foreign = tx_org_newscat_tablelayout.uid
WHERE
    (
        `tx_org_news`.`pid` IN(
            1934,
            1935,
            1936,
            1937,
            1938,
            1939
        )
    ) AND(
        MM_tx_org_newscat_filter.uid_foreign = 68
    ) AND(
        `tx_org_news`.`sys_language_uid` IN(0, -1)
    ) AND(
        (`tx_org_news`.`deleted` = 0) AND(`tx_org_news`.`hidden` = 0) AND(
            `tx_org_news`.`starttime` <= 1626173640
        ) AND(
            (`tx_org_news`.`endtime` = 0) OR(
                `tx_org_news`.`endtime` > 1626173640
            )
        ) AND(
            (
                (`tx_org_news`.`fe_group` = '') OR(`tx_org_news`.`fe_group` IS NULL) OR(`tx_org_news`.`fe_group` = '0') OR(
                    FIND_IN_SET('0', `tx_org_news`.`fe_group`)
                ) OR(
                    FIND_IN_SET('-1', `tx_org_news`.`fe_group`)
                )
            )
        )
    )
ORDER BY
    `tx_org_newscat_tablelayout`.`title` ASC,
    `tx_org_news`.`datetime` DESC,
    `tx_org_news`.`title` ASC,
    `tx_org_news`.`image` ASC,
    `tx_org_news`.`bodytext` ASC
LIMIT 3