<?php

namespace Netzmacher\Xblog\Controller;

/* * *************************************************************
 * 
 *  Without annotation @inject
 *  --------------------------
 *  Seems to run in TYPO3 8.7 and 10.4
 *  
 * 
 * ************************************************************* */

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2018-2021 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * AbstractController for the xBlog xtension
 *
 * @package TYPO3
 * @subpackage xblog
 * @author Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @version 0.20.8
 * @since 0.0.1
 */
class XXXAbstractVersionController extends AbstractBaseController
{

	/**
	 * elementRepository
	 * 
	 * @var \Netzmacher\Xblog\Domain\Repository\ElementRepository
	 */
	protected $elementRepository = null;

	/**
	 * formRepository
	 * 
	 * @var \Netzmacher\Xblog\Domain\Repository\FormRepository
	 */
	protected $formRepository = null;

	/**
	 * __construct(): Init the repositories
	 * 
	 * @version 0.20.8
	 * @since 0.20.8
	 */
	public function __construct()
	{
		$objectManager = GeneralUtility::makeInstance( 'TYPO3\\CMS\\Extbase\\Object\\ObjectManager' );
		$this->elementRepository = $objectManager->get( 'Netzmacher\\Xblog\\Domain\\Repository\\ElementRepository' );
		$this->formRepository = $objectManager->get( 'Netzmacher\\Xblog\\Domain\\Repository\\FormRepository' );
	}

//	/**
//	 * @param ElementRepository $elementRepository
//	 * @return void
//	 */
//	public function injectElementRepository( \Netzmacher\Xblog\Domain\Repository\ElementRepository $elementRepository )
//	{
//		$this->elementRepository = $elementRepository;
//	}
//
//	/**
//	 * @param FormRepository $formRepository
//	 * @return void
//	 */
//	public function injectFormRepository( \Netzmacher\Xblog\Domain\Repository\FormRepository $formRepository )
//	{
//		$this->formRepository = $formRepository;
//	}

}
