<?php

//declare(strict_types=1);

namespace Netzmacher\Xblog\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Class Element
 */
class Element extends AbstractEntity
{

	const TABLE_NAME = 'tx_xblog_domain_model_element';

	/**
	 * checkbox
	 * 
	 * @var string
	 */
	protected $checkbox = '';

	/**
	 * title
	 * 
	 * @var string
	 */
	protected $title = '';

	/**
	 * txXblogForm
	 * 
	 * @var \Netzmacher\Xblog\Domain\Model\Form
	 */
	protected $txXblogForm = null;

	/**
	 * Returns the checkbox
	 * 
	 * @return string $checkbox
	 */
	public function getCheckbox()
	{
		return $this->checkbox;
	}

	/**
	 * Sets the checkbox
	 * 
	 * @param string $checkbox
	 * @return void
	 */
	public function setCheckbox( $checkbox )
	{
		$this->checkbox = $checkbox;
	}

	/**
	 * Returns the title
	 * 
	 * @return string $title
	 */
	public function getTitle()
	{
		return $this->title;
	}

	/**
	 * Sets the title
	 * 
	 * @param string $title
	 * @return void
	 */
	public function setTitle( $title )
	{
		$this->title = $title;
	}

	/**
	 * Returns the txXblogForm
	 * 
	 * @return \Netzmacher\Xblog\Domain\Model\Form txXblogForm
	 */
	public function getTxXblogForm()
	{
		return $this->txXblogForm;
	}

	/**
	 * Sets the txXblogForm
	 * 
	 * @param \Netzmacher\Xblog\Domain\Model\Form $txXblogForm
	 * @return void
	 */
	public function setTxXblogForm( \Netzmacher\Xblog\Domain\Model\Form $txXblogForm )
	{
		$this->txXblogForm = $txXblogForm;
	}

}
