<?php
//declare(strict_types=1);
namespace Netzmacher\Xblog\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Class Filter
 */
class Filter extends AbstractEntity
{

    const TABLE_NAME = 'tx_xblog_domain_model_filter';

    /**
     * @var string
     */
    protected $field = '';

    /**
     * @var string
     */
    protected $operator = '';

    /**
     * @var string
     */
    protected $table = '';

    /**
     * @var string
     */
    protected $title = '';

    /**
     * @var string
     */
    protected $value = '';

    /**
     * Returns the field
     *
     * @return string $field
     */
    public function getField()
    {
        return $this->field;
    }

    /**
     * Returns the operator
     *
     * @return string $operator
     */
    public function getOperator()
    {
        return $this->operator;
    }

    /**
     * Returns the table
     *
     * @return string $table
     */
    public function getTable()
    {
        return $this->table;
    }

    /**
     * Returns the title
     *
     * @return string $title
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Returns the value
     *
     * @return string $value
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * Sets the field
     *
     * @param string $field
     * @return void
     */
    public function setField($field)
    {
        $this->field = $field;
    }

    /**
     * Sets the operator
     *
     * @param string $operator
     * @return void
     */
    public function setOperator($operator)
    {
        $this->operator = $operator;
    }

    /**
     * Sets the table
     *
     * @param string $table
     * @return void
     */
    public function setTable($table)
    {
        $this->table = $table;
    }

    /**
     * Sets the title
     *
     * @param string $title
     * @return void
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * Sets the value
     *
     * @param string $value
     * @return void
     */
    public function setValue($value)
    {
        $this->value = $value;
    }
}
