<?php

namespace Netzmacher\Xblog\TCA\Columns\Type;

use Netzmacher\Xblog\Utility\Typo3VersionUtility;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2018-2021 - Dirk Wildt <http://wildt.at.die-netzmacher.de/>
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * @version 0.8.23
 * @since 0.8.23
 */
class Items
{

	public static $pathDefault = 'EXT:xblog/ext_icon';
	public static $pathNotype = 'EXT:xblog/Resources/Public/Images/Icons/ExtIcon/notype';
	public static $pathPage = 'EXT:xblog/Resources/Public/Images/Icons/ExtIcon/page';
	public static $pathRecord = 'EXT:xblog/Resources/Public/Images/Icons/ExtIcon/record';
	public static $pathUrl = 'EXT:xblog/Resources/Public/Images/Icons/ExtIcon/url';

	/**
	 *
	 * @return      string
	 * @access			public
	 * @version     0.8.23
	 * @since       0.8.23
	 */
	static public function Ext()
	{
		switch( true )
		{
			case( Typo3VersionUtility::get() < 7006000 ):
				return 'gif';
			case( Typo3VersionUtility::get() >= 7006000 ):
			default:
				return 'svg';
		}
	}

}
