<?php

namespace Netzmacher\Xblog\Userfunc;

use Netzmacher\Xblog\Userfunc\AndWhere\SwordAndwhereUserfunc;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2019-2021 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * 
 *
 * @author    Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package    TYPO3
 * @subpackage  xblog
 *
 * @version 0.9.10
 * @since 0.7.2
 */
class QueryUserfunc extends AbstractUserfunc
{

	public $_conf;

	/**
	 * WhereSword() : 
	 *
	 * @param  string		Empty string (no content to process)
	 * @param  array    TypoScript configuration
	 * @return string		value from $conf immune from SQL inhection				
	 * @version 0.30.7
	 * @since 0.7.2
	 */
	public function WhereSword( $content, $conf )
	{
		unset( $content );
		$this->_conf = $conf;
		$table = $this->_cObj( 'table' );
		$sword = $this->_cObj( 'sword' );

		$andWhere = SwordAndwhereUserfunc::WhereSword($table, $sword);
		return $andWhere;
	}

}
