plugin {
  tx_xblog {
    templates {
			tables {
					// empty statement for proper comments only
				x {
				}
					// single
				x = 
				x {
						// renderObj
					single = 
					single {
							// Single: xblog/Resources/Private/View/2ndContent/ 
						renderObj = FLUIDTEMPLATE									
						renderObj {
							templateName = Single
								// 10 = EXT:xblog/Resources/Private/View/2ndContent/Layouts/ 20 = {$plugin.tx_xblog_pi1.view.layoutRootPath}
							layoutRootPaths =
							layoutRootPaths {
								10 = EXT:xblog/Resources/Private/View/2ndContent/Layouts/
								20 = {$plugin.tx_xblog_pi1.view.layoutRootPath}
							}
								// 10 = EXT:xblog/Resources/Private/View/2ndContent/Partials/ 20 = {$plugin.tx_xblog_pi1.view.partialRootPath}
							partialRootPaths =
							partialRootPaths {
								10 = EXT:xblog/Resources/Private/View/2ndContent/Partials/
								20 = {$plugin.tx_xblog_pi1.view.partialRootPath}
							}
								// 10 = EXT:xblog/Resources/Private/View/2ndContent/Templates/Main/ 20 = {$plugin.tx_xblog_pi1.view.templateRootPath}
							templateRootPaths =
							templateRootPaths {
								10 = EXT:xblog/Resources/Private/View/2ndContent/Templates/Main/
								20 = {$plugin.tx_xblog_pi1.view.templateRootPath}
							}
								// images, media
							dataProcessing =
							dataProcessing {
									// images
								10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
								10 {
										// For the developer: elements of references doesn't support cObject.data=flexform:... !
									references =
									references {
											// cObjectdata.data = register:xBlogPiTable
										table = 
										table {
												// data = register:xBlogPiTable
											cObject = TEXT
											cObject {
												data = register:xBlogPiTable
											}
										}
											// cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
										fieldName = 
										fieldName {
												// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
											cObject = TEXT
											cObject {
												data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
											}
										}
									}
									as = images
								}
									// media
								20 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
								20 {
										// For the developer: elements of references doesn't support cObject.data=flexform:... !
									references =
									references {
											// cObjectdata.data = register:xBlogPiTable
										table = 
										table {
												// data = register:xBlogPiTable
											cObject = TEXT
											cObject {
												data = register:xBlogPiTable
											}
										}
											// cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_mediaField
										fieldName = 
										fieldName {
												// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_mediaField
											cObject = TEXT
											cObject {
												data = register:pi1__pi_flexform__settings_flexform_pi_bridge_mediaField
											}
										}
									}
									as = media
								}
									// datasheet
								21 = TYPO3\CMS\Frontend\DataProcessing\CommaSeparatedValueProcessor
								21 {
										// isTrue.field = datasheet
									if =
									if {
										isTrue {
											field = datasheet
										}
									}
									fieldName				= datasheet
									fieldDelimiter	= |
									fieldEnclosure	= "
									as							= xblogtable
								}
									// xBlogFieldCategory
								30 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
								30 {
										// if.isTrue.field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
									if =
									if.isTrue.field {
											// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
										cObject = TEXT
										cObject {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
										}
									}

										// data = register:xBlogPiTable
									table = TEXT
									table.data = register:xBlogPiTable

										// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
									relationfield = TEXT
									relationfield.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category

										// field = uid
									uid = TEXT
									uid.field = uid

										// field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
									relationvalue = TEXT
									relationvalue.field {
										cObject = TEXT
										cObject {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
										}
									}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.andWhere}
									andWhere = TEXT
									andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.andWhere}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.orderBy}
									orderBy = TEXT
									orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.orderBy}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.firstResult}
									firstResult = TEXT
									firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.firstResult}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.maxResults}
									maxResults = TEXT
									maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.maxResults}

										// stdWrap
									as = xBlogFieldCategory
								}
									// xBlogFieldLocation
								32 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
								32 {
										// if.isTrue.field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
									if =
									if.isTrue.field {
											// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
										cObject = TEXT
										cObject {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
										}
									}

										// data = register:xBlogPiTable
									table = TEXT
									table.data = register:xBlogPiTable

										// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
									relationfield = TEXT
									relationfield.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location

										// field = uid
									uid = TEXT
									uid.field = uid

										// field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
									relationvalue = TEXT
									relationvalue.field {
										cObject = TEXT
										cObject {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
										}
									}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.andWhere}
									andWhere = TEXT
									andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.andWhere}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.orderBy}
									orderBy = TEXT
									orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.orderBy}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.firstResult}
									firstResult = TEXT
									firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.firstResult}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.maxResults}
									maxResults = TEXT
									maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.maxResults}

										// stdWrap
									as = xBlogFieldLocation
								}
									// xBlogFieldOrganiser
								33 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
								33 {
										// if.isTrue.field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
									if =
									if.isTrue.field {
											// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
										cObject = TEXT
										cObject {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
										}
									}

										// data = register:xBlogPiTable
									table = TEXT
									table.data = register:xBlogPiTable

										// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
									relationfield = TEXT
									relationfield.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser

										// field = uid
									uid = TEXT
									uid.field = uid

										// field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
									relationvalue = TEXT
									relationvalue.field {
										cObject = TEXT
										cObject {
											data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
										}
									}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.andWhere}
									andWhere = TEXT
									andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.andWhere}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.orderBy}
									orderBy = TEXT
									orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.orderBy}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.firstResult}
									firstResult = TEXT
									firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.firstResult}

									// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.maxResults}
									maxResults = TEXT
									maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.maxResults}

										// stdWrap
									as = xBlogFieldOrganiser
								}
							}
								// foo, media.lazyLoading
							settings =
							settings {
								foo = x.single
								media.lazyLoading = {$styles.content.image.lazyLoading}
                publishIconAdd    = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.add}
                publishIconCopy   = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.copy}
                publishIconDelete = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.delete}
                publishIconEdit   = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.edit}
							}
								// xBlogFieldBodytext, xBlogFieldShort, xBlogFieldSubtitle, xBlogFieldTitle, xBlogFieldType
								// For the developer: elements of variables doesn't support cObject.data=flexform:... !
							variables =
							variables {
									// data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_01
								xBlogDatetimeFormatRow01 = TEXT
								xBlogDatetimeFormatRow01 {
									data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_01
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_02
								xBlogDatetimeFormatRow02 = TEXT
								xBlogDatetimeFormatRow02 {
									data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_02
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_03
								xBlogDatetimeFormatRow03 = TEXT
								xBlogDatetimeFormatRow03 {
									data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_03
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_datesheetField
								xBlogDatetime = TEXT
								xBlogDatetime {
									data = register:pi1__pi_flexform__settings_flexform_pi_bridge_datesheetField
								}
									// field = {$plugin.tx_xblog_pi1.configuration.fields.single.bodytext}
								xBlogFieldBodytext = TEXT
								xBlogFieldBodytext {
									field = {$plugin.tx_xblog_pi1.configuration.fields.single.bodytext}
								}
									// field = {$plugin.tx_xblog.configuration.fields.media.filelink_size}
								xBlogFieldFilelinkSize = TEXT
								xBlogFieldFilelinkSize {
									field = {$plugin.tx_xblog.configuration.fields.media.filelink_size}
								}
									// field = {$plugin.tx_xblog.configuration.fields.media.uploads_type}
								xBlogFieldUploadsType = TEXT
								xBlogFieldUploadsType {
									field = {$plugin.tx_xblog.configuration.fields.media.uploads_type}
								}
									// field = {$plugin.tx_xblog_pi1.configuration.fields.single.short}
								xBlogFieldShort = TEXT
								xBlogFieldShort {
									field = {$plugin.tx_xblog_pi1.configuration.fields.single.short}
								}
									// field = {$plugin.tx_xblog_pi1.configuration.fields.single.subtitle}
								xBlogFieldSubtitle = TEXT
								xBlogFieldSubtitle {
									field = {$plugin.tx_xblog_pi1.configuration.fields.single.subtitle}
								}
									// field = {$plugin.tx_xblog_pi1.configuration.fields.single.title}
								xBlogFieldTitle = TEXT
								xBlogFieldTitle {
									field = {$plugin.tx_xblog_pi1.configuration.fields.single.title}
								}
									// field = {$plugin.tx_xblog.configuration.typolink.typeField}
								xBlogFieldType = TEXT
								xBlogFieldType {
									field = {$plugin.tx_xblog.configuration.typolink.typeField}
								}
									// data = register:settings_flexform_pi_special_pidForListview
								xBlogFieldPidList = TEXT
								xBlogFieldPidList {
									data = register:settings_flexform_pi_special_pidForListview
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimedisplay
								settings_flexform_pi1_profile_datetimedisplay = TEXT
								settings_flexform_pi1_profile_datetimedisplay {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimedisplay
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimefield
								settings_flexform_pi1_profile_datetimefield = TEXT
								settings_flexform_pi1_profile_datetimefield {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimefield
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimeformat
								settings_flexform_pi1_profile_datetimeformat = TEXT
								settings_flexform_pi1_profile_datetimeformat {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimeformat
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_displayitem
								settings_flexform_pi1_profile_default_displayitem = TEXT
								settings_flexform_pi1_profile_default_displayitem {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_displayitem
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemonly
								settings_flexform_pi1_profile_default_topitemonly = TEXT
								settings_flexform_pi1_profile_default_topitemonly {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemonly
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemfield
								settings_flexform_pi1_profile_default_topitemfield = TEXT
								settings_flexform_pi1_profile_default_topitemfield {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemfield
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_activityfield
								settings_flexform_pi1_profile_staff_activityfield = TEXT
								settings_flexform_pi1_profile_staff_activityfield {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_activityfield
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayname
								settings_flexform_pi1_profile_staff_displayname = TEXT
								settings_flexform_pi1_profile_staff_displayname {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayname
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayitem
								settings_flexform_pi1_profile_staff_displayitem = TEXT
								settings_flexform_pi1_profile_staff_displayitem {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayitem
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_firstnamefield
								settings_flexform_pi1_profile_staff_firstnamefield = TEXT
								settings_flexform_pi1_profile_staff_firstnamefield {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_firstnamefield
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_fullnamefield
								settings_flexform_pi1_profile_staff_fullnamefield = TEXT
								settings_flexform_pi1_profile_staff_fullnamefield {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_fullnamefield
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_lastnamefield
								settings_flexform_pi1_profile_staff_lastnamefield = TEXT
								settings_flexform_pi1_profile_staff_lastnamefield {
									data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_lastnamefield
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_socialmedia_orientation
									// data = register:pi1__pi_flexform__settings_flexform_pi1_record_mode
								settings_flexform_pi1_record_mode = TEXT
								settings_flexform_pi1_record_mode {
									data = register:pi1__pi_flexform__settings_flexform_pi1_record_mode
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_record_view
								settings_flexform_pi1_record_view = TEXT
								settings_flexform_pi1_record_view {
									data = register:pi1__pi_flexform__settings_flexform_pi1_record_view
								}
								settings_flexform_pi1_socialmedia_orientation = TEXT
								settings_flexform_pi1_socialmedia_orientation {
									data = register:pi1__pi_flexform__settings_flexform_pi1_socialmedia_orientation
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_socialmedia_services
								settings_flexform_pi1_socialmedia_services = TEXT
								settings_flexform_pi1_socialmedia_services {
									data = register:pi1__pi_flexform__settings_flexform_pi1_socialmedia_services
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_socialmedia_theme
								settings_flexform_pi1_socialmedia_theme = TEXT
								settings_flexform_pi1_socialmedia_theme {
									data = register:pi1__pi_flexform__settings_flexform_pi1_socialmedia_theme
								}
									// data = register:settings_flexform_pi1_profile_showUid (internal #t4557)
								settings_flexform_pi1_profile_showUid = TEXT
								settings_flexform_pi1_profile_showUid {
									data = register:settings_flexform_pi1_profile_showUid
								}
									// data = register:xBlogPiTable
								xBlogTable = TEXT
								xBlogTable {
									data = register:xBlogPiTable
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_externalTemplate
								settings_flexform_pi1_tmpl_externalTemplate = TEXT
								settings_flexform_pi1_tmpl_externalTemplate {
									data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_externalTemplate
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_html
								settings_flexform_pi1_tmpl_html = TEXT
								settings_flexform_pi1_tmpl_html {
									data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_html
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_layout
								settings_flexform_pi1_tmpl_layout = TEXT
								settings_flexform_pi1_tmpl_layout {
									data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_layout
								}
							}
						}
					}
				}
			}
		}
	}
}
