plugin {
	tx_xblog_pi6 {
		settings {
			register {
				flexform {
						// empty statement for proper comments only
					pi6 {
					}
						// datesheet = LOAD_REGISTER
					pi6 = 
					pi6 {
							// xBlogPi6DebugRegister, xBlogPi6DebugSession,xBlogPi6DestXblogUid, xBlogPi6DestXblogPid, xBlogPi6DestCONTENT
						datesheet = LOAD_REGISTER
						datesheet {
								// data = flexform: pi_flexform:settings.flexform.pi6.format.row.01
							xBlogPi6FormatRow01 < plugin.tx_xblog.lib.valueFromFlexform
							xBlogPi6FormatRow01 {
								data = flexform: pi_flexform:settings.flexform.pi6.format.row.01
								ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi6.format.row.01
								ifBlank.ifBlank = %a, %H:%M
							}
								// data = flexform: pi_flexform:settings.flexform.pi6.format.row.02
							xBlogPi6FormatRow02 < plugin.tx_xblog.lib.valueFromFlexform
							xBlogPi6FormatRow02 {
								data = flexform: pi_flexform:settings.flexform.pi6.format.row.02
								ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi6.format.row.02
								ifBlank.ifBlank = %d
							}
								// data = flexform: pi_flexform:settings.flexform.pi6.format.row.03
							xBlogPi6FormatRow03 < plugin.tx_xblog.lib.valueFromFlexform
							xBlogPi6FormatRow03 {
								data = flexform: pi_flexform:settings.flexform.pi6.format.row.03
								ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi6.format.row.03
								ifBlank.ifBlank = %b %y
							}
								// MUST BE BEFORE xBlogPi6DestXblogPid! cObject.data = flexform: pi_flexform:settings.flexform.pi6.ctrl.plugin.list
							xBlogPi6DestXblogUid < plugin.tx_xblog.lib.valueFromFlexform
							xBlogPi6DestXblogUid {
								data = flexform: pi_flexform:settings.flexform.pi6.ctrl.plugin.list
								ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi6.ctrl.plugin.list
								ifBlank.ifBlank = 
							}
								// MUST BE AFTER xBlogPi6DestXblogUid! RECORDS: data = register:xBlogPi6DestXblogUid
							xBlogPi6DestXblogPid =
							xBlogPi6DestXblogPid {
								cObject = RECORDS
								cObject {
									source {
										data = register:xBlogPi6DestXblogUid
									}
									//dontCheckPid = 1
									tables = tt_content
									conf.tt_content = TEXT
									conf.tt_content {
										field = pid
									}
								}
							}
								// xBlogPi6DestXblogDatesheetField, xBlogPi6DestXblogTmplHtml, xBlogPi6DestXblogSelectPages, xBlogPi6DestXblogSelectRecursive, xBlogPi6DestXblogTable
							xBlogPi6DestCONTENT = 
							xBlogPi6DestCONTENT {
									// xBlogPi6DestXblogDatesheetField, xBlogPi6DestXblogTmplHtml, xBlogPi6DestXblogSelectPages, xBlogPi6DestXblogSelectRecursive, xBlogPi6DestXblogTable
								cObject = CONTENT
								cObject {
									table = tt_content
										// pidInList.cObject.data = register:xBlogPi6DestXblogPid, uidInList.cObject.data = register:xBlogPi6DestXblogUid
									select =
									select {
											// cObject.data = register:xBlogPi6DestXblogPid
										pidInList = 
										pidInList {
												// data = register:xBlogPi6DestXblogPid
											cObject = TEXT
											cObject {
												data = register:xBlogPi6DestXblogPid
											}
										}
											// cObject.data = register:xBlogPi6DestXblogUid
										uidInList = 
										uidInList {
												// data = register:xBlogPi6DestXblogUid
											cObject = TEXT
											cObject {
												data = register:xBlogPi6DestXblogUid
											}
										}
										max = 1
									}
										// xBlogPi6DestXblogDatesheetField, xBlogPi6DestXblogTmplHtml, xBlogPi6DestXblogSelectPages, xBlogPi6DestXblogSelectRecursive, xBlogPi6DestXblogTable
									renderObj = LOAD_REGISTER
									renderObj {
											// data = flexform: pi_flexform:settings.flexform.pi.bridge.datesheetField
										xBlogPi6DestXblogDatesheetField < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi6DestXblogDatesheetField {
											data = flexform: pi_flexform:settings.flexform.pi.bridge.datesheetField
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.bridge.datesheetField
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi6.datesheet.xBlogPi6DestXblogDatesheetField
										}
											// field = pages
										xBlogPi6DestXblogSelectPages =  TEXT
										xBlogPi6DestXblogSelectPages {
											field = pages
										}
											// field = recursive
										xBlogPi6DestXblogSelectRecursive =  TEXT
										xBlogPi6DestXblogSelectRecursive {
											field = recursive
										}
											// data = flexform: pi_flexform:settings.flexform.pi.table.table
										xBlogPi6DestXblogTable < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi6DestXblogTable {
											data = flexform: pi_flexform:settings.flexform.pi.table.table
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.table.table
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi6.datesheet.xBlogPi6DestXblogTable
										}
											// data = flexform: pi_flexform:settings.flexform.pi.table.uid
										xBlogPi6DestXblogTableUid < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi6DestXblogTableUId {
											data = flexform: pi_flexform:settings.flexform.pi.table.uid
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi.table.uid
											ifBlank.ifBlank = 
										}
											// data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html>
										xBlogPi6DestXblogTmplHtml < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi6DestXblogTmplHtml {
											data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi1.tmpl.html
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi6.datesheet.xBlogPi6DestXblogTmplHtml
										}
											// data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout>
										xBlogPi6DestXblogTmplLayout < plugin.tx_xblog.lib.valueFromFlexform
										xBlogPi6DestXblogTmplLayout {
											data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout
											ifBlank.cObject.data = flexform: pi_flexform:settings.flexform.pi1.tmpl.layout
											ifBlank.ifBlank = ERROR at settings.register.flexform.pi6.image.xBlogPi6DestXblogTmplLayout
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
}