plugin {
  tx_xblog_pi1 {
		settings {
			views {
					// empty statement for proper comments only
				list {
				}
					// content
				list = 
				list {
						// 10, 20, 30, 40
					content = COA
					content {
							// 10 = LOAD_REGISTER pi. 40 = LOAD_REGISTER flexform pi1
						10 = COA
						10 {
								// 10 < plugin.tx_xblog.register.flexform.pi
							10 < plugin.tx_xblog.register.flexform.pi
								// 40 < plugin.tx_xblog_pi1.settings.register.flexform.pi1.list
							40 < plugin.tx_xblog_pi1.settings.register.flexform.pi1.list
							40 = LOAD_REGISTER
						}
							// xBlogMainList
						30 = LOAD_REGISTER
						30 {
								// cObject
							xBlogMainList =
							xBlogMainList {
									// table, select
								cObject = CONTENT
								cObject {
									if.isTrue.data = register:xBlogPiTable
									table		< plugin.tx_xblog.templates.tables.x.list.table
										// table < plugin.tx_xblog.templates.tables.x.list.table
									table		=
									select	< plugin.tx_xblog.templates.tables.x.list.select
										// select < plugin.tx_xblog.templates.tables.x.list.select
									select	=
								}
							}
						}
							// 10: register:xBlogMainList. 20: value = Opps, no item available.
						40 = COA
						40 {
								// value = Opps, no item available. if.isFalse xBlogMainList
							10 = COA
							10 {
									// isFalse.data = register:xBlogMainList
								if =
								if.isFalse {
									cObject = TEXT
									cObject {
										data = register:xBlogMainList
									}
								}
									// data = register:pi1__pi_flexform__settings_flexform_pi1_list_label
								20 = TEXT
								20 {
									data = register:pi1__pi_flexform__settings_flexform_pi1_list_label
										// data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap (#t4185)
									wrap =
									wrap {
										cObject = CASE
										cObject {
											key =
											key {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap
											}
											default = COA
											default {
												10 = TEXT
												10 {
													data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap
													wrap = <|>
												}
												20 = TEXT
												20 {
													value = |
												}
												30 = TEXT
												30 {
													data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap
													wrap = </|>
												}
											}
											nowrap = TEXT
											nowrap {
												value = |
											}
										}
									}
									required = 1
								}
									// value = Opps, no item available.
								30 = TEXT
								30 {
										// data = register:xBlogPiTable AND field = pages
									if =
									if {
										value = 11
										equals =
										equals {
												// data = register:xBlogPiTable AND field = pages
											cObject = COA
											cObject {
													// data = register:xBlogPiTable
												10 = TEXT
												10 {
													if.isTrue.data = register:xBlogPiTable
													value = 1
												}
													// field = pages
												20 = TEXT
												20 {
													if.isTrue.field = pages
													value = 1
												}
											}
										}
									}
									value = Opps, no item available.
									lang {
										de = Uups, kein Eintrag vorhanden.
										en = Opps, no item available.
									}
									wrap = <p>|</p>
								}
								40 = COA
								40 {
										// data = register:xBlogPiTable AND field = pages
									if =
									if {
										isTrue = 
										isTrue {
												// data = register:xBlogPiTable AND field = pages
											cObject = COA
											cObject {
													// data = register:xBlogPiTable
												10 = TEXT
												10 {
													if.isFalse.data = register:xBlogPiTable
													value = 1
												}
													// field = pages
												20 = TEXT
												20 {
													if.isFalse.field = pages
													value = 1
												}
											}
										}
									}
										// Oops! An error occured
									10 = COA
									10 {
										10 = TEXT
										10 {
											value = Oops! An error occured
											lang {
												de = Uups! Es ist ein Fehler aufgetreten
												en = Oops! An error occured
											}
										}
										wrap = <h3 style="color:white">|</h3>
									}
										// Element: ...
									20 = COA
									20 {
										10 = TEXT
										10 {
											value = xBlog:
											lang {
												de = xBlog:
												en = xBlog:
											}
										}
										20 = TEXT
										20 {
											field = header
											noTrimWrap = | ||
										}
										30 = TEXT
										30 {
											value = on the page with uid
											lang {
												de = auf der Seite mit der ID
												en = on the page with uid
											}
											noTrimWrap = | ||
										}
										40 = TEXT
										40 {
											field = pid
											noTrimWrap = | ||
										}
										wrap = <div>|</div>
									}
										// if.isFalse.data = register:xBlogPiTable
									30 = COA
									30 {
										if.isFalse.data = register:xBlogPiTable
										10 = TEXT
										10 {
											value = The xBlog isn't linked with a table.
											lang {
												de = Im xBlog ist keine Tabelle ausgewählt.
												en = The xBlog isn't linked with a table.
											}
										}
										wrap = <div>|</div>
									}
										// if.isFalse.field = pages
									40 = COA
									40 {
										if.isFalse.field = pages
										10 = TEXT
										10 {
											value = The xBlog hasn't any value in the field Record Storage Page.
											lang {
												de = Der xBlog hat keinen Eintrag in der Datensatzsammlung.
												en = The xBlog hasn't any value in the field Record Storage Page.
											}
										}
										wrap = <div>|</div>
									}
									wrap (
										<div style="background:red;color:white;font-weight:bold;text-align:center;padding:1rem;">
											|
										</div>
)
								}
							}
								// data = register:xBlogMainList, if.isTrue xBlogMainList 
							20 = COA
							20 {
									// isTrue.data = register:xBlogMainList
								if =
								if.isTrue.data = register:xBlogMainList
									// header: data = register:pi1__pi_flexform__settings_flexform_pi1_list_label
								10 = TEXT
								10 {
									data = register:pi1__pi_flexform__settings_flexform_pi1_list_label
										// data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap (#t4185)
									wrap =
									wrap {
										cObject = CASE
										cObject {
											key =
											key {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap
											}
											default = COA
											default {
												10 = TEXT
												10 {
													data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap
													wrap = <|>
												}
												20 = TEXT
												20 {
													value = |
												}
												30 = TEXT
												30 {
													data = register:pi1__pi_flexform__settings_flexform_pi1_list_labelwrap
													wrap = </|>
												}
											}
											nowrap = TEXT
											nowrap {
												value = |
											}
										}
									}
									required = 1
								}
									// content: data = register:xBlogMainList
								20 = TEXT
								20 {
									data = register:xBlogMainList
									wrap = <div class="{$plugin.tx_xblog_pi1.configuration.html.css.list.items}">|</div>
								}
									// userFunc = Netzmacher\Xblog\Userfunc\ControllingUserfunc->RemoveShowUidFromSession
								30 = USER
								30 {
									userFunc = Netzmacher\Xblog\Userfunc\ControllingUserfunc->RemoveShowUidFromSession
									showUid = {$plugin.tx_xblog.configuration.params.showUid}
									devUid = tx_blog_pi1-list-01
								}
							}
						}
							// #t5344, 200618, dwildt, 1+
						50 = RESTORE_REGISTER
					}
				}
			}
		}
	}
}