plugin {
  tx_xblog_pi1 {
		settings {
			views {
				list {
					content {
						30 {
							xBlogMainList {
									// renderObj
								cObject = CONTENT
								cObject {
									renderObj = FLUIDTEMPLATE									
									renderObj {
										templateName = List
											// 10 = EXT:xblog/Resources/Private/View/2ndContent/Layouts/ 20 = {$plugin.tx_xblog_pi1.view.layoutRootPath}
										layoutRootPaths =
										layoutRootPaths {
											10 = EXT:xblog/Resources/Private/View/2ndContent/Layouts/
											20 = {$plugin.tx_xblog_pi1.view.layoutRootPath}
										}
											// 10 = EXT:xblog/Resources/Private/View/2ndContent/Partials/ 20 = {$plugin.tx_xblog_pi1.view.partialRootPath}
										partialRootPaths =
										partialRootPaths {
											10 = EXT:xblog/Resources/Private/View/2ndContent/Partials/
											20 = {$plugin.tx_xblog_pi1.view.partialRootPath}
										}
											// 10 = EXT:xblog/Resources/Private/View/2ndContent/Templates/Main/ 20 = {$plugin.tx_xblog_pi1.view.templateRootPath}
										templateRootPaths =
										templateRootPaths {
											10 = EXT:xblog/Resources/Private/View/2ndContent/Templates/Main/
											20 = {$plugin.tx_xblog_pi1.view.templateRootPath}
										}
											// images, xBlogFieldCategory, xBlogFieldGroup, xBlogFieldLocation, xBlogFieldOrganiser
										dataProcessing =
										dataProcessing {
												// images
											10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
											10 {
													// For the developer: elements of references doesn't support cObject.data=flexform:... !
												references =
												references {
														// cObjectdata.data = register:xBlogPiTable
													table = 
													table {
															// data = register:xBlogPiTable
														cObject = TEXT
														cObject {
															data = register:xBlogPiTable
														}
													}
														// cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
													fieldName = 
													fieldName {
															// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
														cObject = TEXT
														cObject {
															data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
														}
													}
												}
												as = images
											}
												// xBlogFieldCategory
											30 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
											30 {
													// if.isTrue.field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
												if =
												if.isTrue.field {
														// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
													cObject = TEXT
													cObject {
														data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
													}
												}

													// data = register:xBlogPiTable
												table = TEXT
												table.data = register:xBlogPiTable

													// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
												relationfield = TEXT
												relationfield.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category

													// field = uid
												uid = TEXT
												uid.field = uid

													// field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
												relationvalue = TEXT
												relationvalue.field {
													cObject = TEXT
													cObject {
														data = register:pi1__pi_flexform__settings_flexform_pi_bridge_category
													}
												}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.andWhere}
												andWhere = TEXT
												andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.andWhere}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.orderBy}
												orderBy = TEXT
												orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.orderBy}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.firstResult}
												firstResult = TEXT
												firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.firstResult}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.maxResults}
												maxResults = TEXT
												maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.category.maxResults}

													// stdWrap
												as = xBlogFieldCategory
											}
												// xBlogFieldLocation
											32 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
											32 {
													// if.isTrue.field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
												if =
												if.isTrue.field {
														// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
													cObject = TEXT
													cObject {
														data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
													}
												}

													// data = register:xBlogPiTable
												table = TEXT
												table.data = register:xBlogPiTable

													// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
												relationfield = TEXT
												relationfield.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location

													// field = uid
												uid = TEXT
												uid.field = uid

													// field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
												relationvalue = TEXT
												relationvalue.field {
													cObject = TEXT
													cObject {
														data = register:pi1__pi_flexform__settings_flexform_pi_bridge_location
													}
												}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.andWhere}
												andWhere = TEXT
												andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.andWhere}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.orderBy}
												orderBy = TEXT
												orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.orderBy}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.firstResult}
												firstResult = TEXT
												firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.firstResult}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.maxResults}
												maxResults = TEXT
												maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.location.maxResults}

													// stdWrap
												as = xBlogFieldLocation
											}
												// xBlogFieldOrganiser
											33 = Netzmacher\Xblog\DataProcessing\DatabaseQueryForeignTableProcessor
											33 {
													// if.isTrue.field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
												if =
												if.isTrue.field {
														// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
													cObject = TEXT
													cObject {
														data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
													}
												}

													// data = register:xBlogPiTable
												table = TEXT
												table.data = register:xBlogPiTable

													// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
												relationfield = TEXT
												relationfield.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser

													// field = uid
												uid = TEXT
												uid.field = uid

													// field.cObject.data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
												relationvalue = TEXT
												relationvalue.field {
													cObject = TEXT
													cObject {
														data = register:pi1__pi_flexform__settings_flexform_pi_bridge_organiser
													}
												}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.andWhere}
												andWhere = TEXT
												andWhere.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.andWhere}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.orderBy}
												orderBy = TEXT
												orderBy.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.orderBy}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.firstResult}
												firstResult = TEXT
												firstResult.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.firstResult}

												// value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.maxResults}
												maxResults = TEXT
												maxResults.value = {$plugin.tx_xblog_pi1.configuration.dataprocessor.organiser.maxResults}

													// stdWrap
												as = xBlogFieldOrganiser
											}
										}
											// foo, media.lazyLoading
										settings =
										settings {
											foo = pi1.list @94852ughw
												// breakpoint, defaulticons
											images =
											images {
													// desktop, smartphone, tablet
												breakpoint =
												breakpoint {
													desktop			= {$plugin.tx_xblog_pi1.configuration.images.breakpoint.desktop}
													smartphone	= {$plugin.tx_xblog_pi1.configuration.images.breakpoint.smartphone}
													tablet			= {$plugin.tx_xblog_pi1.configuration.images.breakpoint.tablet}
												}
													// board, cal, default, download, job, location, news. organiser, staff
												defaulticons =
												defaulticons {
													board			= {$plugin.tx_xblog.configuration.images.defaulticons.board}
													cal				= {$plugin.tx_xblog.configuration.images.defaulticons.cal}
													default		= {$plugin.tx_xblog.configuration.images.defaulticons.default}
													download	= {$plugin.tx_xblog.configuration.images.defaulticons.download}
													job				= {$plugin.tx_xblog.configuration.images.defaulticons.job}
													location	= {$plugin.tx_xblog.configuration.images.defaulticons.location}
													news			= {$plugin.tx_xblog.configuration.images.defaulticons.news}
													organiser = {$plugin.tx_xblog.configuration.images.defaulticons.organiser}
													staff			= {$plugin.tx_xblog.configuration.images.defaulticons.staff}
												}
											}
											media.lazyLoading = {$styles.content.image.lazyLoading}
                      publishIconAdd    = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.add}
                      publishIconCopy   = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.copy}
                      publishIconDelete = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.delete}
                      publishIconEdit   = {$plugin.tx_xblog_pi1.configuration.html.publish.icons.edit}
										}
											// settings_flexform_pi1_list_cropsubtitle, settings_flexform_pi1_list_croptitle
											// For the developer: elements of variables doesn't support cObject.data=flexform:... !
										variables =
										variables {
												// register:recordCycle + 1
											loadRegisterRecordIndex = LOAD_REGISTER
											loadRegisterRecordIndex {
												recordCycle {
													cObject = TEXT
													cObject {
														data = register:recordCycle
														wrap = |+1
													}
													prioriCalc = intval
												}
											}
												// data = register:xBlogPiDatesheetField
											xBlogPiDatesheetField = TEXT
											xBlogPiDatesheetField {
												data = register:pi1__pi_flexform__settings_flexform_pi_bridge_datesheetField
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
											xBlogPiImageField = TEXT
											xBlogPiImageField {
												data = register:pi1__pi_flexform__settings_flexform_pi_bridge_imageField
											}
												// field = {$plugin.tx_xblog.configuration.typolink.pageField}
											xBlogFieldPage = TEXT
											xBlogFieldPage {
												field = {$plugin.tx_xblog.configuration.typolink.pageField}
											}
												// field = {$plugin.tx_xblog_pi1.configuration.fields.list.short}
											xBlogFieldShort = TEXT
											xBlogFieldShort {
												field = {$plugin.tx_xblog_pi1.configuration.fields.list.short}
												stripHtml = 1
											}
												// field = {$plugin.tx_xblog_pi1.configuration.fields.list.subtitle}
											xBlogFieldSubtitle = TEXT
											xBlogFieldSubtitle {
												field = {$plugin.tx_xblog_pi1.configuration.fields.list.subtitle}
												stripHtml = 1
											}
												// field = {$plugin.tx_xblog_pi1.configuration.fields.list.title}
											xBlogFieldTitle = TEXT
											xBlogFieldTitle {
												field = {$plugin.tx_xblog_pi1.configuration.fields.list.title}
												stripHtml = 1
											}
												// field = {$plugin.tx_xblog.configuration.typolink.typeField}
											xBlogFieldType = TEXT
											xBlogFieldType {
												field = {$plugin.tx_xblog.configuration.typolink.typeField}
											}
												// field = {$plugin.tx_xblog.configuration.typolink.urlField}
											xBlogFieldUrl = TEXT
											xBlogFieldUrl {
												field = {$plugin.tx_xblog.configuration.typolink.urlField}
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_list_aspectratio
											settings_flexform_pi1_list_aspectratio = TEXT
											settings_flexform_pi1_list_aspectratio {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_aspectratio
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_list_backgroundchange
											settings_flexform_pi1_list_backgroundchange = TEXT
											settings_flexform_pi1_list_backgroundchange {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_backgroundchange
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_list_cropshort
											settings_flexform_pi1_list_cropshort = TEXT
											settings_flexform_pi1_list_cropshort {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_cropshort
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_list_cropsubtitle
											settings_flexform_pi1_list_cropsubtitle = TEXT
											settings_flexform_pi1_list_cropsubtitle {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_cropsubtitle
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_list_croptitle
											settings_flexform_pi1_list_croptitle = TEXT
											settings_flexform_pi1_list_croptitle {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_croptitle
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi_bridge_datesheetField
											xBlogRegisterDatesheetField = TEXT
											xBlogRegisterDatesheetField {
												data = register:pi1__pi_flexform__settings_flexform_pi_bridge_datesheetField
											}
												// value = {$plugin.tx_xblog_pi1.configuration.html.css.list.datesheetwrap}
											xBlogRegisterDatesheetWrapCss = TEXT
											xBlogRegisterDatesheetWrapCss {
												value = {$plugin.tx_xblog_pi1.configuration.html.css.list.datesheetwrap}
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_01
											xBlogRegisterDatesheetFormatRow01 = TEXT
											xBlogRegisterDatesheetFormatRow01 {
												data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_01
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_02
											xBlogRegisterDatesheetFormatRow02 = TEXT
											xBlogRegisterDatesheetFormatRow02 {
												data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_02
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_03
											xBlogRegisterDatesheetFormatRow03 = TEXT
											xBlogRegisterDatesheetFormatRow03 {
												data = register:pi1__pi_flexform__settings_flexform_pi1_format_row_03
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_grid
											settings_flexform_pi1_tmpl_grid = TEXT
											settings_flexform_pi1_tmpl_grid {
												data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_grid
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi_image_andwhere
											settings_flexform_pi_image_andwhere = TEXT
											settings_flexform_pi_image_andwhere {
												data = register:pi1__pi_flexform__settings_flexform_pi_image_andwhere
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi_image_imageHeight
											settings_flexform_pi_image_imageHeight = TEXT
											settings_flexform_pi_image_imageHeight {
												data = register:pi1__pi_flexform__settings_flexform_pi_image_imageHeight
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi_image_imageWidth
											settings_flexform_pi_image_imageWidth = TEXT
											settings_flexform_pi_image_imageWidth {
												data = register:pi1__pi_flexform__settings_flexform_pi_image_imageWidth
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_marginPosition
											settings_flexform_pi1_tmpl_marginPosition = TEXT
											settings_flexform_pi1_tmpl_marginPosition {
												data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_marginPosition
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_list_morebutton
											settings_flexform_pi1_list_morebutton = TEXT
											settings_flexform_pi1_list_morebutton {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_morebutton
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_list_columns
											settings_flexform_pi1_list_columns = TEXT
											settings_flexform_pi1_list_columns {
												data = register:pi1__pi_flexform__settings_flexform_pi1_list_columns
											}
												// data = register:xBlogPi1ListType
											xBlogRegisterListType = TEXT
											xBlogRegisterListType {
												data = register:xBlogPi1ListType
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimedisplay
											settings_flexform_pi1_profile_datetimedisplay = TEXT
											settings_flexform_pi1_profile_datetimedisplay {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimedisplay
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimefield
											settings_flexform_pi1_profile_datetimefield = TEXT
											settings_flexform_pi1_profile_datetimefield {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimefield
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimeformat
											settings_flexform_pi1_profile_datetimeformat = TEXT
											settings_flexform_pi1_profile_datetimeformat {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimeformat
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimepositioninlist
											settings_flexform_pi1_profile_datetimepositioninlist = TEXT
											settings_flexform_pi1_profile_datetimepositioninlist {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_datetimepositioninlist
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_displayitem
											settings_flexform_pi1_profile_default_displayitem = TEXT
											settings_flexform_pi1_profile_default_displayitem {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_displayitem
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemonly
											settings_flexform_pi1_profile_default_topitemonly = TEXT
											settings_flexform_pi1_profile_default_topitemonly {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemonly
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemfield
											settings_flexform_pi1_profile_default_topitemfield = TEXT
											settings_flexform_pi1_profile_default_topitemfield {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_default_topitemfield
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_activityfield
											settings_flexform_pi1_profile_staff_activityfield = TEXT
											settings_flexform_pi1_profile_staff_activityfield {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_activityfield
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayname
											settings_flexform_pi1_profile_staff_displayname = TEXT
											settings_flexform_pi1_profile_staff_displayname {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayname
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayitem
											settings_flexform_pi1_profile_staff_displayitem = TEXT
											settings_flexform_pi1_profile_staff_displayitem {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_displayitem
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_firstnamefield
											settings_flexform_pi1_profile_staff_firstnamefield = TEXT
											settings_flexform_pi1_profile_staff_firstnamefield {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_firstnamefield
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_fullnamefield
											settings_flexform_pi1_profile_staff_fullnamefield = TEXT
											settings_flexform_pi1_profile_staff_fullnamefield {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_fullnamefield
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_lastnamefield
											settings_flexform_pi1_profile_staff_lastnamefield = TEXT
											settings_flexform_pi1_profile_staff_lastnamefield {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_staff_lastnamefield
											}
												// data = register:recordCycle
											xBlogRegisterRecordCycle = TEXT
											xBlogRegisterRecordCycle {
												data = register:recordCycle
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_profile_showUid
											settings_flexform_pi1_profile_showUid = TEXT
											settings_flexform_pi1_profile_showUid {
												data = register:pi1__pi_flexform__settings_flexform_pi1_profile_showUid
											}
												// data = register:xBlogPiTable
											xBlogRegisterTable = TEXT
											xBlogRegisterTable {
												data = register:xBlogPiTable
											}
												// data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_externalTemplate
											settings_flexform_pi1_tmpl_externalTemplate = TEXT
											settings_flexform_pi1_tmpl_externalTemplate {
												data = register:pi1__pi_flexform__settings_flexform_pi1_tmpl_externalTemplate
											}
												// 10: page. 20: target. 30: class. 40: title. 50: additional params
											xBlogTypolinkFluid < plugin.tx_xblog.lib.typolinkFluid
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
}