function setXblogItemHeight(value, classXblog, aspectW, aspectH) {
	//var width = $('#' + value + ' ' + classXblog).outerWidth();
	var width = $('#' + value + ' ' + classXblog).width();
	//alert('#' + value + ' ' + classXblog + '.width()' + ': ' + width );
	var height = Math.round(width / aspectW * aspectH);
	$('#' + value + ' ' + classXblog).height(height);
}

function loopXblogAspectratio(selectorWrap, classXblog, aspectW, aspectH) {
	var idsXblogAspectratio = [];
	$(selectorWrap).each(function () {
		idsXblogAspectratio.push(this.id);
	});

	$.each(idsXblogAspectratio, function (index, value) {
		setXblogItemHeight(value, classXblog, aspectW, aspectH);
	});
}
function loopXblogItemsInTabs() {
	if ($('.tabs-content .xBlog').length) {
		$('.xBlog.rectangle-01-01').closest('.tabs-content').closest('.frame').each(function () {
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-01-01', 1 / 1);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-01-02', 1 / 2);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-02-01', 2 / 1);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-03-02', 3 / 2);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-02-03', 2 / 3);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-03-04', 3 / 4);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-04-03', 4 / 3);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-09-16', 9 / 16);
			setXblogItemHeightInTab(this.id, '.xBlog.rectangle-16-09', 16 / 9);
		});
	}
}
function setXblogItemHeightInTab(container, rectangle, aspect) {
	var width = $('#' + container + ' ' + rectangle + ' .xBlogItem').first().width();
	var height = Math.round(width / aspect);
	$('#' + container + ' ' + rectangle + ' .xBlogItem').height(height);
}
function loopXblogItems() {
	if ($('.xBlogMain').length) {
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-01-01', 1, 1);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-01-02', 1, 2);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-02-01', 2, 1);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-02-03', 2, 3);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-03-02', 3, 2);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-03-04', 3, 4);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-04-03', 4, 3);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-09-16', 9, 16);
		loopXblogAspectratio('.xBlogMain', '.xBlogItem.rectangle-16-09', 16, 9);
	}
	if ($('.slick-slider').length) {
		//alert('xBlogAspectratio.js: there is an object with the class .xBlog.adaptiveheight :)');
		// Loop for an xBlogSlider. Has an effect only, if xBlogSlider is wrapped by a slider of EXT:slick
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-01-01', 1, 1);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-01-02', 1, 2);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-02-01', 2, 1);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-02-03', 2, 3);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-03-02', 3, 2);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-03-04', 3, 4);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-04-03', 4, 3);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-09-16', 9, 16);
		loopXblogAspectratio('.slick-slider', '.xBlogItem.rectangle-16-09', 16, 9);
	}
}

$(document).ready(function () {
	$(window).load(function () {
		// time for loading css: delay function 1 millisecond
		setTimeout(function () {
			// 201008, dwildt: Next line affects all xBlogs of a page
			loopXblogItems();
			// 201209, fbostroem, Next line affects all xBlogs in tabs
			loopXblogItemsInTabs();
		}, 1);
	});
});

$(window).resize(function () {
	// 201008, dwildt: Next line affects all xBlogs of a page
	loopXblogItems();
	// 201209, fbostroem, Next line affects all xBlogs in tabs
	loopXblogItemsInTabs();
});

