--
-- Table structure for table 'tx_xblog_domain_model_element'
--
CREATE TABLE tx_xblog_domain_model_element (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	button varchar(255) DEFAULT '' NOT NULL,
	checkbox tinytext,
	columnsadditionalclass varchar(255) DEFAULT '' NOT NULL,
	columnsclass varchar(255) DEFAULT '' NOT NULL,
	displaytitle tinyint(4) unsigned DEFAULT '0' NOT NULL,
	displaytitlefirstoption tinyint(4) unsigned DEFAULT '0' NOT NULL,
	field varchar(255) DEFAULT '' NOT NULL,
	name varchar(255) DEFAULT '' NOT NULL,
	orientation varchar(255) DEFAULT '' NOT NULL,
	period varchar(255) DEFAULT '' NOT NULL,
	periodbegin varchar(255) DEFAULT '' NOT NULL,
	perioditems varchar(255) DEFAULT '' NOT NULL,
	placeholder varchar(255) DEFAULT '' NOT NULL,
	radio tinytext,
	required tinyint(4) unsigned DEFAULT '0' NOT NULL,
	select tinytext,
	sortbyoptionlabel tinyint(4) unsigned DEFAULT '0' NOT NULL,
	source varchar(255) DEFAULT '' NOT NULL,
	table varchar(255) DEFAULT '' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	tx_xblog_domain_model_form int(11) unsigned DEFAULT '0',
  type tinytext,
	value varchar(255) DEFAULT '' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);


--
-- Table structure for table 'tx_xblog_domain_model_filter'
--
CREATE TABLE tx_xblog_domain_model_filter (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

-- 190429, dwildt, 1-
-- 	field varchar(255) DEFAULT '' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
-- -#t4183, 191005, dwildt, 1+
	andor varchar(7) DEFAULT '' NOT NULL,
  assistent varchar(255) DEFAULT '' NOT NULL,
  expertsql varchar(255) DEFAULT '' NOT NULL,
	field varchar(255) DEFAULT '' NOT NULL,
	fieldlocaltable varchar(255) DEFAULT '' NOT NULL,
	formula varchar(255) DEFAULT '' NOT NULL,
	operator varchar(255) DEFAULT '' NOT NULL,
	pattern varchar(255) DEFAULT '' NOT NULL,
	suggestion varchar(255) DEFAULT '' NOT NULL,
	suggestions varchar(255) DEFAULT '' NOT NULL,
	table varchar(255) DEFAULT '' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	tt_content int(11) unsigned DEFAULT '0' NOT NULL,
  type tinytext,
	value varchar(255) DEFAULT '' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);

--
-- Table structure for table 'tx_xblog_domain_model_form'
--
CREATE TABLE tx_xblog_domain_model_form (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	columns int(11) DEFAULT '0' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	tt_content int(11) unsigned DEFAULT '0' NOT NULL,
	tx_xblog_element int(11) unsigned DEFAULT '0' NOT NULL,
  type tinytext,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);


--
-- Table structure for table 'tx_xblog_domain_model_tablelayout'
--
CREATE TABLE tx_xblog_domain_model_tablelayout (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,
	t3_origuid int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
 	columnvalue varchar(255) DEFAULT '' NOT NULL,
 	columntype varchar(255) DEFAULT '' NOT NULL,
 	crop tinyint(4) unsigned DEFAULT '0' NOT NULL,
	dontstriptags tinyint(4) unsigned DEFAULT '0' NOT NULL,
 	field varchar(255) DEFAULT '' NOT NULL,
-- 	fieldforeigntable varchar(255) DEFAULT '' NOT NULL,
-- 	fieldlocaltable varchar(255) DEFAULT '' NOT NULL,
 	order varchar(4) DEFAULT '' NOT NULL,
 	linkToDetail tinyint(4) unsigned DEFAULT '0' NOT NULL,
	table varchar(255) DEFAULT '' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	tt_content int(11) unsigned DEFAULT '0' NOT NULL,
  type tinytext,
 	width tinyint(4) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
	KEY language (l10n_parent,sys_language_uid)
);
